Guest User

Untitled

a guest
Sep 22nd, 2016
120
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1.  
  2. (MyFirstProject) C:\Users\Ilez\Desktop\python\MyFirstProject\Scripts\mysite>python manage.py makemigrations article
  3. Migrations for 'article':
  4. article\migrations\0002_auto_20160923_0336.py:
  5. - Remove field comments_article from comments
  6. - Delete model Article
  7. - Delete model Comments
  8.  
  9. (MyFirstProject) C:\Users\Ilez\Desktop\python\MyFirstProject\Scripts\mysite>python manage.py migrate
  10. Operations to perform:
  11. Apply all migrations: admin, article, auth, contenttypes, sessions
  12. Running migrations:
  13. Applying article.0002_auto_20160923_0336...Traceback (most recent call last):
  14. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\utils.py", line 64, in execute
  15. return self.cursor.execute(sql, params)
  16. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\sqlite3\base.py", line 337, in execute
  17. return Database.Cursor.execute(self, query, params)
  18. sqlite3.OperationalError: no such table: comments
  19.  
  20. The above exception was the direct cause of the following exception:
  21.  
  22. Traceback (most recent call last):
  23. File "manage.py", line 22, in <module>
  24. execute_from_command_line(sys.argv)
  25. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\core\management\__init__.py", line 367, in execute_from_command_line
  26. utility.execute()
  27. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\core\management\__init__.py", line 359, in execute
  28. self.fetch_command(subcommand).run_from_argv(self.argv)
  29. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\core\management\base.py", line 294, in run_from_argv
  30. self.execute(*args, **cmd_options)
  31. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\core\management\base.py", line 345, in execute
  32. output = self.handle(*args, **options)
  33. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\core\management\commands\migrate.py", line 204, in handle
  34. fake_initial=fake_initial,
  35. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\migrations\executor.py", line 115, in migrate
  36. state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial)
  37. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\migrations\executor.py", line 145, in _migrate_all_forwards
  38. state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial)
  39. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\migrations\executor.py", line 244, in apply_migration
  40. state = migration.apply(state, schema_editor)
  41. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\migrations\migration.py", line 129, in apply
  42. operation.database_forwards(self.app_label, schema_editor, old_state, project_state)
  43. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\migrations\operations\fields.py", line 147, in database_forwards
  44. schema_editor.remove_field(from_model, from_model._meta.get_field(self.name))
  45. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\sqlite3\schema.py", line 249, in remove_field
  46. self._remake_table(model, delete_fields=[field])
  47. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\sqlite3\schema.py", line 186, in _remake_table
  48. self.alter_db_table(model, temp_model._meta.db_table, model._meta.db_table)
  49. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\base\schema.py", line 372, in alter_db_table
  50. "new_table": self.quote_name(new_db_table),
  51. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\base\schema.py", line 112, in execute
  52. cursor.execute(sql, params)
  53. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\utils.py", line 79, in execute
  54. return super(CursorDebugWrapper, self).execute(sql, params)
  55. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\utils.py", line 64, in execute
  56. return self.cursor.execute(sql, params)
  57. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\utils.py", line 94, in __exit__
  58. six.reraise(dj_exc_type, dj_exc_value, traceback)
  59. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\utils\six.py", line 685, in reraise
  60. raise value.with_traceback(tb)
  61. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\utils.py", line 64, in execute
  62. return self.cursor.execute(sql, params)
  63. File "C:\Users\Ilez\Desktop\python\MyFirstProject\lib\site-packages\django\db\backends\sqlite3\base.py", line 337, in execute
  64. return Database.Cursor.execute(self, query, params)
  65. django.db.utils.OperationalError: no such table: comments
RAW Paste Data

Adblocker detected! Please consider disabling it...

We've detected AdBlock Plus or some other adblocking software preventing Pastebin.com from fully loading.

We don't have any obnoxious sound, or popup ads, we actively block these annoying types of ads!

Please add Pastebin.com to your ad blocker whitelist or disable your adblocking software.

×